{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des articles de la FAQ" %}

{% block pageActions %}
    {{ macro.addButton('app_article_add', 'Ajout', 'text-left') }}

    <br>

    {{ macro.associationMultipleButtonModal(
        'btn_association',
        'Associer un ou plusieurs article(s) à une ou plusieurs entité(s)',
        'app_article_association',
        form,
        articles.currentPageNumber,
        'modal-associate',
        'multi_organisation_user',
        'fields'
    ) }}

    {{ macro.btnDeleteMultipleWithModal(
        'btn_deletemultiple',
        'Suppression plusieurs articles',
        'app_article_delete_multiple',
        'Voulez-vous vraiment supprimer ces articles ?',
        articles.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Libelle</th>
                <th scope="col">Entité(s) associée(s)</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for article in articles %}
                <tr>
                    <th>
                        {% set association = 'true' %}

                        {% if (app.user.currentOrganisation not in article.organisations)  %}
                            {% set dissociation = 'false' %}
                        {% else %}
                            {% set dissociation = 'true' %}
                        {% endif %}

                        {% if (article.organisations is empty) and (article.createdByOrganisation == app.user.currentOrganisation) %}
                            {% set delete = 'true' %}
                        {% else %}
                            {% set delete = 'false' %}
                        {% endif %}

                        <input id='checkbox-{{ article.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ article.id }}"
                               data-association="{{ association }}" data-deletemultiple="{{ delete }}">
                    </th>

                    <th>
                        {{ article.name }}
                    </th>

                    <th>
                        {% for organisation in article.organisations %}
                            <li>
                                {{ organisation.raisonsociale }}
                            </li>
                        {% endfor %}
                    </th>

                    <th>
                        {{ macro.showButton('app_article_show', article.id) }}

                        {% if ((article.organisations is empty) and (article.createdByOrganisation == app.user.currentOrganisation)) or is_granted('ROLE_SUPERADMIN') %}
                            {{ macro.editButton('app_article_edit', article.id) }}

                            {{ macro.deleteButtonModal(
                                article.id,
                                'Suppression de l\'article',
                                'app_article_delete',
                                'Voulez-vous vraiment supprimer cet article ?',
                                articles.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(articles) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
